!function(n){var e=function(n,e){var t=n.find(".sifency-typewriter-wrapper"),i=n.find(".sifency-typed-string"),d=t.data("settings");if(d&&i.length){if("undefined"==typeof Typed){console.warn("Sifency Addons: Typed.js is missing.");return}i.data("typed-instance")&&i.data("typed-instance").destroy();var a=new Typed(i[0],d);i.data("typed-instance",a)}};n(window).on("elementor/frontend/init",function(){elementorFrontend.hooks.addAction("frontend/element_ready/sifency_typewriter.default",e)})}(jQuery);

(function($) {
    var SifencyTypedHandler = function ($scope, $) {
        var $element = $scope.find('.sifency-typed-text');
        if (!$element.length) return;

        var settings = $element.data('typed-settings');
        
        if ( window.Typed ) {
            new Typed( $element[0], settings );
        }
    };

    $(window).on('elementor/frontend/init', function () {
        elementorFrontend.hooks.addAction('frontend/element_ready/sifency-vertical-text.default', SifencyTypedHandler);
    });
})(jQuery);